//驳回时审批意见必填
$('[name=approvalConclusion]').change(function(){
    if($("[name=approvalConclusion]:checked").val() !== 'pass'){
        $('.approvalComments').addClass('required_fileds_star')
        $('.signConfirmation').hide()
        $('.signingInformation').hide()
    }else {
        $('.approvalComments').removeClass('required_fileds_star')
        $('.signConfirmation').show()
        $('[name=sign]').change()
    }
})

//签署确认过显示已签下游验收单
if($('[name=signConfirm]').val() == 1) {
    $('.downSign').show()
    $('#acceptanceCheck-form input[name=approvalConclusion][value=back]').prop('disabled', true)
}else {
    $('#acceptanceCheck-form input[name=approvalConclusion][value=back]').prop('disabled', false)
    $('.downSign').hide()
}

//签署确认默认否
// if($('[name=sign]:checked').val() == undefined){
//     $('[name=sign]').get(1).checked = true
// }
//确认签署为是签署信息显示,附件回显，签署人信息只有一条默认选中
// initDepositListData('.addFileList .fileListBox')
// if($('.fileInfoListOriginal')) {
//     showOriginalFile($('.fileInfoListOriginal'),  $('.originalFileList .fileListBox'), 'deleteAndView')
// }
// $('[name=sign]').on('change',function() {
//     if($('[name=sign]:checked').val() == '1') {
//         $('.signingInformation').show()
//         if($(".personalListTbody").length == 1) {
//             $('[name=radio]').get(0).checked = true
//         }
//     }else {
//         $('.signingInformation').hide()
//     }
// })
// $('[name=sign]').change()

$(function () {
    uploadFileMethod({
        mainDom: '#acceptanceCheck-form',
        delegateDom: '.addFileList .choiceFile',
        insideDelegateDom: '.addFileList .fileContent',
        delegateDomInput: '.addFileList .fileinput',
        depositDataDom: '.addFileList .fileListBox',
        delegateLabel: '.addFileList .fileListBox',
        displayListDom: '.addFileList .uploaderFile',
        isCustomUploadBtn: false,
    })

     // 附件相关dom
     var fileWrapperbasic = '<div class="file-wrapper"><div class="file-icon" style="color: #5AC4FC;"><div class="file-icon-image"></div></div>'+
     '<div class="content"><div class="file-name"></div><div class="file-size small text-muted"></div></div>'+
     '<div class="actions" style="width: 1.032rem"><a class="btn btn-link btn-yulan-file" target="_blank">'+
     '<em>预览</em><i class="operateIconfont operateIcon-yulan"></i></a><a class="btn btn-link btn-xiazai-file">'
    //  '<em>下载</em><i class="operateIconfont operateIcon-xiazai"></i></a></div></div>';

      // 展示原先有的附件
    //   function showOriginalFile(source, insert) {
    //     for (var j = 0; j < $(source).length; j++) {
    //         var originalFileWrapper = $(fileWrapperbasic).clone();
    //         originalFileWrapper.find('.file-name').text($(source).eq(j).find('.originalName').val());
    //         originalFileWrapper.find('.file-name').attr('originalid', $(source).eq(j).find('.originalId').val());
    //         if (parseFloat($(source).eq(j).find('.originalSize').val()) < 1048576) {
    //             originalFileWrapper.find('.file-size').text(($(source).eq(j).find('.originalSize').val() / 1024).toFixed(2) + "KB");
    //         } else {
    //             originalFileWrapper.find('.file-size').text(($(source).eq(j).find('.originalSize').val() / 1024 / 1024).toFixed(2) + "MB");
    //         }
    //         ;
    //         var originaltype = $(source).eq(j).find('.originalType').val().toUpperCase();
    //         if (originaltype == '.JPG' || originaltype == '.JPEG' || originaltype == '.PNG' || originaltype == '.BMP') {
    //             originalFileWrapper.find('.file-icon-image').css('background-image', 'url(' + $(source).eq(j).find('.originalUrl').val() + ')');
    //         } else {
    //             originalFileWrapper.find('.file-icon-image').append('<i class="icon icon-file-pdf"></i>');
    //         }
    //         ;
    //         originalFileWrapper.find('.btn-delete-file').addClass('btn-delete-originalfile').removeClass("btn-delete-file");

    //         originalFileWrapper.find('.btn-yulan-file').attr('href', '/fileStorage/preview?fileId=' + $(source).eq(j).find('.originalId').val());
    //         // originalFileWrapper.find('.btn-xiazai-file').attr('href', '/fileStorage/downloadFile?fileId=' + $(source).eq(j).find('.originalId').val());
    //         $(insert).find('.fileContent').append(originalFileWrapper)
    //     };
    //     j = null;
    //     if ($(insert).find('.file-wrapper').length > 0) {
    //         $(insert).find('.spanHolder').remove();
    //     }
    //     ;
    // };

    // $('[name=approvalConclusion]').on('change', function() {
    //     if($('[name=approvalConclusion]:checked').val() == 'pass') {
    //         $('.approvalCommentTitle').removeClass('required_fileds_star')
    //         $('.signConfirmation').show()
    //         $('[name=sign]').change()
    //     }else if($('[name=approvalConclusion]:checked').val() == 'back') {
    //         $('.approvalCommentTitle').addClass('required_fileds_star')
    //         $('.signConfirmation').hide()
    //         $('.signingInformation').hide()
    //     }
    // })

    // 合同文件回显
    if($('.contractFileList').length) {
        // 展示原附件
        showOriginalFile('.contractFileList', '.contractFileListBox', 'onlyView');
    }

    if ($('.purchaseFileList').length) {
        showOriginalFile('.purchaseFileList', '.purchaseFileListBox', 'onlyView');
    }


    if ($('.acceptanceFileList').length) {
        showOriginalFile('.acceptanceFileList', '.acceptanceFileListBox', 'onlyView');
    }

    if ($('.FileList').length) {
        showOriginalFile('.FileList', '.fileListBox', 'onlyView');
    }
    
    //提交
    function submitFunction(e){
        //驳回和否决时审批意见必填
        if($('[name=approvalConclusion]:checked').val() !== 'pass') {
            if($('[name=approvalComment]').val() == '') {
                $('.error').addClass('shows').show();
                return
            }else {
                $('.error').removeClass('shows').hide();        
            }
        }
        $(".newTabAddUpdateBtnBox .save,.newTabAddUpdateBtnBox .btn-cancel").addClass("loadingCircle");
        var postdata = new FormData(),tipword="提交";
        postdata.append('taskId',$('[name=taskId]').val())
        postdata.append('acceptanceBasicInfoId',$('[name=businessKey]').val())
        postdata.append('approvalConclusion',$('[name=approvalConclusion]:checked').val())
        postdata.append('approvalComment',$('[name=approvalComment]').val())

        // if($(".signConfirmation").css('display') === 'table-row') {
        //     postdata.append('signConfirm',$('[name=sign]:checked').val())
        // }
        // if($(".signingInformation").css('display') === 'table-row') {
        //     if($('.originalFileList .file-wrapper').length) {
        //         for( var i=0;i<$('.fileInfoListOriginal').length;i++ ){
        //             postdata.append('fileIds['+(i)+']',$(".fileInfoListOriginal").eq(i).find('.originalId').val());
        //         };
        //         m = null;
        //     }
        //     // 附件信息
        //     for( var m=0;m<$('.addFileList .fileListBox').data('filearray').length;m++ ){
        //         postdata.append('multipartFileList['+m+']',$('.addFileList .fileListBox').data('filearray')[m]);
        //     };
        //     m = null

        //     if($('.addFileList .fileListBox').data('filearray') == '' && $('.originalFileList .file-wrapper').length<=0) {
        //         new $.zui.Messager('请选择签署文件', {
        //             type: 'danger'
        //         }).show();
        //         $(".newTabAddUpdateBtnBox .save,.newTabAddUpdateBtnBox .btn-cancel").removeClass("loadingCircle");
        //         return false
        //     }
        //     //签署人信息
        //     for(var i=0;i<$(".personalListTbody").length;i++) {
        //         if($(".personalListTbody").eq(i).find('[name=radio]').prop('checked')) {
        //             postdata.append('acceptancePersonInfo.type',$(".personalListTbody").eq(i).find('.type').val());
        //             postdata.append('acceptancePersonInfo.name',$(".personalListTbody").eq(i).find('.name').val());
        //             postdata.append('acceptancePersonInfo.cardType',$(".personalListTbody").eq(i).find('.cardType').val());
        //             postdata.append('acceptancePersonInfo.socialCreditCode',$(".personalListTbody").eq(i).find('.socialCreditCode').val());
        //             postdata.append('acceptancePersonInfo.mobile',$(".personalListTbody").eq(i).find('.mobile').val());
        //             if(!$(".personalListTbody").eq(i).find('.name').val()){
        //                 new $.zui.Messager('请输入姓名', {
        //                     type: 'danger'
        //                 }).show();
        //                 $(".newTabAddUpdateBtnBox .save,.newTabAddUpdateBtnBox .btn-cancel").removeClass("loadingCircle");
        //                 return false
        //             }
        //             if(!$(".personalListTbody").eq(i).find('.socialCreditCode').val()){
        //                 new $.zui.Messager('请输入证件号码', {
        //                     type: 'danger'
        //                 }).show();
        //                 $(".newTabAddUpdateBtnBox .save,.newTabAddUpdateBtnBox .btn-cancel").removeClass("loadingCircle");
        //                 return false
        //             }
        //             if(!$(".personalListTbody").eq(i).find('.mobile').val()){
        //                 new $.zui.Messager('请输入联系方式', {
        //                     type: 'danger'
        //                 }).show();
        //                 $(".newTabAddUpdateBtnBox .save,.newTabAddUpdateBtnBox .btn-cancel").removeClass("loadingCircle");
        //                 return false
        //             }
        //         }
        //     }
        // }

        $.ajax({
            url:'/acceptance/legalReview',
            type:'post',
            data:postdata,
            processData:false,
            contentType:false,
            success:function(data){
                if( data.success ){
                    new $.zui.Messager(tipword+'成功', {
                        type: 'success'
                    }).show();

                    $(".yk_rightcontent").load('/acceptance/pendingList?businessBasicId='+acceptanceQuery.detailId2);

                }else{
                    new $.zui.Messager(tipword+'失败:'+data.msg, {
                        type: 'danger'
                    }).show();
                    $(".newTabAddUpdateBtnBox .save,.newTabAddUpdateBtnBox .btn-cancel").removeClass("loadingCircle");
                }
            },
            error:function(){
                new $.zui.Messager(tipword+'时发生错误:'+status, {
                    type: 'danger'
                }).show();
                $(".newTabAddUpdateBtnBox .save,.newTabAddUpdateBtnBox .btn-cancel").removeClass("loadingCircle");
            }
        });
        return false;
    };

    var formRules = {
        approvalConclusion:{
            required:true
        }

    };

    var formMessages = {
        approvalConclusion:{
            required:'请选择审批结论'
        }

    };

    //表单验证
    function addNewCustomer(e){
        $("#acceptanceCheck-form").validate({
            promptPosition : "bottomLeft",
            submitHandler : function(form) {
                submitFunction(e);
            },
            rules:formRules,
            messages : formMessages
        });
    };

    // 提交按钮
    //$(".yk_addNewMsg .save").click(addNewCustomer);
    $(".yk_addNewMsg .save").click(function(e){
        if( !$(this).hasClass('loadingCircle') ){
            addNewCustomer(e);
        };
    });

    // 关闭按钮
    $(".yk_addNewMsg .btn-cancel,.newBackBtn").click(function(){
        if( !$(this).hasClass('loadingCircle') ){
            $(".yk_rightcontent").load('/acceptance/pendingList?businessBasicId='+acceptanceQuery.detailId2);

        };
        return false;
    });



})
